# files

## Example available!

{% content-ref url="/pages/H5xK7zW7ItbXSGBNCSGj" %}
[Broken mention](broken://pages/H5xK7zW7ItbXSGBNCSGj)
{% endcontent-ref %}

## Functions:

### create\_folder

`files.create_folder(path: string)`

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>path</strong></td><td><strong><code>string</code></strong></td><td>New folder path</td></tr></tbody></table>

### read

`files.read(path: string):` <mark style="color:purple;">`any`</mark>

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>path</strong></td><td><strong><code>string</code></strong></td><td>Path to the file</td></tr></tbody></table>

Returns contents of the specified file.

### write

`files.write(path: string, contents: string[, is_binary: boolean]):` <mark style="color:purple;">`boolean`</mark>

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>path</strong></td><td><strong><code>string</code></strong></td><td>Path to the file</td></tr><tr><td><strong>contents</strong></td><td><strong><code>any</code></strong></td><td>Contents the file should be set to</td></tr><tr><td><strong>is_binary</strong></td><td><strong><code>boolean</code></strong></td><td>Is <mark style="color:purple;"><code>contents</code></mark> a binary</td></tr></tbody></table>

Replaces contents of the specified file. Returns <mark style="color:purple;">`false`</mark> on failure.

### get\_crc32

`files.get_crc32(path: string):` <mark style="color:purple;">`number`</mark>

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>path</strong></td><td><strong><code>string</code></strong></td><td>Path to the file</td></tr></tbody></table>

Returns the crc32 checksum of the file.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-csgo.neverlose.cc/documentation/variables/files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
